#121 Segmentation Fault when starting Muse

0.7.x
closed
None
5
2006-04-10
2005-12-30
Anonymous
No

haver@bibo:~/Midi$ muse -v
No superuser privileges, using system timer fallback
muse: Linux Music Editor; Version 0.7.2pre2

haver@bibo:~/Midi$ muse
No superuser privileges, using system timer fallback
no locale <muse_en_GB>/</usr/share/muse/locale>
starting with default template
name2route: <alsa_pcm:playback_1> not found
name2route: <alsa_pcm:playback_2> not found
set realtime scheduler: Operation not permitted
midi thread 9119 _NOT_ running SCHED_FIFO
Segmentation fault
haver@bibo:~/Midi$

Unfortunately muse crashes reproducible on my Debian
system. This is testing. I have not looked up the
Debian bug tracking database yet but I thought since it
is so nicely reproducable that I could attach you the
strace output for you to improve your program.

Good luck.

Discussion

  • strace output

     
    Attachments
  • Robert Jonsson
    Robert Jonsson
    2006-01-01

    Logged In: YES
    user_id=81832

    Hi,

    this bugreport is very strange. It's a pity you didn't
    specify an e-mail adress.
    In the output there's a recurring error,
    "No superuser privileges, using system timer fallback".
    Which looks like it could have something to do with this.
    The problem is that there is no such text anywhere in the
    MusE sources.
    My guess is that you are using a prebuilt version of MusE
    that contains some patch, debian?. If the error is related
    I can not say but it would be good if we could get this
    patch.
    --
    Before I spotted this I was just going to ask you to try a
    newer version of MusE (I guess you have to go all the way
    to CVS because of recent bug...), work has been done in
    this area.

     
  • fhaver
    fhaver
    2006-01-02

    Logged In: YES
    user_id=1353104

    Yes, I am using a Debian version. I do not know if they
    patched it. It is just convenient to type: apt-get install
    muse ;-).

    If I start muse with -a it does not chrash.
    Otherwise it crashes. I updated my Debian system
    from testing to unstable to get a newer version
    if there would be any.

    haver@bibo:~$ muse
    No superuser privileges, using system timer fallback
    NO Config File </home/haver/.MusE> found
    /usr/bin/konqueror
    no locale <muse_en_GB>/</usr/share/muse/locale>
    Trying RTC timer...
    fatal error: open /dev/rtc failed: No such file or directory
    Trying ALSA timer...
    got timer = 12
    QObject::connect: No such signal
    PartCanvas::horizontalScroll(int)
    QObject::connect: (sender name: 'unnamed')
    QObject::connect: (receiver name: 'unnamed')
    Arranger::configChanged - no bitmap!
    starting with default template
    name2route: <alsa_pcm:playback_1> not found
    name2route: <alsa_pcm:playback_2> not found
    Arranger::configChanged - no bitmap!
    AlsaTimer::setTimerTicks(): requested freq 1024 Hz too high
    for timer (max is 250)
    freq stays at 250 Hz
    Segmentation fault
    haver@bibo:~$

    Sorry for the anonymous posting before, I forgot to log in.

    haver@bibo:~/Midi$ gdb /usr/bin/muse -c core.5342
    ...
    Reading symbols from /usr/lib/liblcms.so.1...
    (no debugging symbols found)...done.
    Loaded symbols for /usr/lib/liblcms.so.1
    Reading symbols from /usr/lib/muse/plugins/freeverb.so...(no
    debugging symbols found)...done.
    Loaded symbols for /usr/lib/muse/plugins/freeverb.so
    #0 0x73203a72 in ?? ()
    (gdb) bt
    #0 0x73203a72 in ?? ()
    #1 0x080a510f in
    QValueListPrivate<QString>::~QValueListPrivate ()
    #2 0xb70e4ed0 in __libc_start_main () from /lib/tls/libc.so.6
    #3 0x080675b1 in ?? ()
    (gdb)

     
  • fhaver
    fhaver
    2006-01-02

    Logged In: YES
    user_id=1353104

    A complete reinstall helped last time to get it starting
    again ... strange. I tried to delete the .MusE config file
    to start with fresh settings, but that did not help.

    Is there something strange with my version of QT?
    I am using a Gnome desktop and not KDE.
    Let me know if you need more data e.g. core files,
    configuration I am using etc.

     
  • fhaver
    fhaver
    2006-01-03

    Logged In: YES
    user_id=1353104

    Hi Robert,

    The hardware I am using is my old T21 Thinkpad. I am very
    new to the MIDI and music business. My wife and I just
    bought an e-piano for her and I thought: Let's look what we
    might be able to do, if we attach a notebook to the device.

    I tried playing arround looking for a nice easy to use MIDI
    Software. To make it some callenge I wanted to try it on my
    Linux notebook first ;-). The sound card of the T21 seems
    not really be able to support MIDI nor has it internal
    sounds. So I installed timitity, got a little frustrated
    until I figured out that I needed to use some sounds
    distributed in a different package. I am using now freepats,
    and was astouned that it was not automatically installed
    with timitity. But now I can listen to the example midi
    files, althought the performance is not optimal.

    I have not yet started to use jackd but I tried also
    Rosegarden and it looks as if they have an option to start
    jackd automatically for beginners, nevertheless I do not use
    that because of bad performace of my notebook (or wrong
    settings... e.g. to high sample rate).

    Even not using jackd I think Muse should not segfault. By
    the way I had it segfaulting when moving the progress
    sliders back and force, but I was not able to reproduce
    that, so I could not write a bug report and I had core
    dumping disabled. But the segfault we are talking here about
    is more serious because it stops me from being able to start
    Muse.

    Frank

    Here some information about my setup:

    haver@bibo:~$ mv dpkg.lst dpkg-l.txt
    haver@bibo:~$ lspci
    0000:00:00.0 Host bridge: Intel Corporation 440BX/ZX/DX -
    82443BX/ZX/DX Host bridge (rev 03)0000:00:01.0 PCI bridge:
    Intel Corporation 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge
    (rev 03)
    0000:00:02.0 CardBus bridge: Texas Instruments PCI1450 (rev 03)
    0000:00:02.1 CardBus bridge: Texas Instruments PCI1450 (rev 03)
    0000:00:03.0 Ethernet controller: 3Com Corporation 3c556B
    CardBus [Tornado] (rev 20)
    0000:00:03.1 Communication controller: 3Com Corporation Mini
    PCI 56k Winmodem (rev 20)
    0000:00:05.0 Multimedia audio controller: Cirrus Logic CS
    4614/22/24 [CrystalClear SoundFusion Audio Accelerator] (rev 01)
    0000:00:07.0 Bridge: Intel Corporation 82371AB/EB/MB PIIX4
    ISA (rev 02)
    0000:00:07.1 IDE interface: Intel Corporation 82371AB/EB/MB
    PIIX4 IDE (rev 01)
    0000:00:07.2 USB Controller: Intel Corporation 82371AB/EB/MB
    PIIX4 USB (rev 01)
    0000:00:07.3 Bridge: Intel Corporation 82371AB/EB/MB PIIX4
    ACPI (rev 03)
    0000:01:00.0 VGA compatible controller: S3 Inc. 86C270-294
    Savage/IX-MV (rev 13)

    haver@bibo:~$ lsmod
    Module Size Used by
    ipv6 249472 8
    lp 9540 0
    hostap_cs 61080 0
    hostap 117636 1 hostap_cs
    ieee80211_crypt 4484 1 hostap
    orinoco_cs 11528 1
    orinoco 42516 1 orinoco_cs
    hermes 6528 2 orinoco_cs,orinoco
    pcmcia 33444 6 hostap_cs,orinoco_cs
    firmware_class 8192 1 pcmcia
    snd_seq_dummy 2820 0
    snd_seq_oss 33280 0
    snd_seq_midi 7200 0
    snd_seq_midi_event 6144 2 snd_seq_oss,snd_seq_midi
    snd_seq 50448 7
    snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_seq_midi_event
    snd_cs46xx 83272 0
    snd_rawmidi 21024 2 snd_seq_midi,snd_cs46xx
    snd_seq_device 7180 5
    snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_seq,snd_rawmidi
    snd_ac97_codec 95484 1 snd_cs46xx
    snd_ac97_bus 2048 1 snd_ac97_codec
    snd_pcm_oss 50720 0
    snd_mixer_oss 17664 1 snd_pcm_oss
    snd_pcm 84360 3
    snd_cs46xx,snd_ac97_codec,snd_pcm_oss
    snd_timer 22276 2 snd_seq,snd_pcm
    8250_pnp 8448 0
    uhci_hcd 31504 0
    snd 48612 11
    snd_seq_oss,snd_seq,snd_cs46xx,snd_rawmidi,snd_seq_device,snd_ac97_codec,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
    snd_page_alloc 8712 2 snd_cs46xx,snd_pcm
    8250 21028 1 8250_pnp
    serial_core 18816 1 8250
    3c59x 38440 0
    mii 4736 1 3c59x
    yenta_socket 25100 6
    rsrc_nonstatic 12160 1 yenta_socket
    pcmcia_core 37008 3
    pcmcia,yenta_socket,rsrc_nonstatic
    floppy 57540 0

    haver@bibo:~$ cat /dev/sndstat
    Sound Driver:3.8.1a-980706 (ALSA v1.0.10rc1 emulation code)
    Kernel: Linux bibo 2.6.14.4 #7 PREEMPT Sun Jan 1 18:34:16
    CET 2006 i686
    Config options: 0

    Installed drivers:
    Type 10: ALSA emulation

    Card config:
    Sound Fusion CS46xx at 0xe8100000/0xe8000000, irq 11

    Audio devices:
    0: CS46xx (DUPLEX)

    Synth devices: NOT ENABLED IN CONFIG

    Midi devices:
    0: CS46XX

    Timers:
    7: system timer

    Mixers:
    0: Cirrus Logic CS4297A rev 4
    haver@bibo:~$

    haver@bibo:~$ uname -r
    2.6.14.4

    On Tue, 2006-01-03 at 19:17 +0100, Robert Jonsson wrote:
    Hello,
    >
    > Since I don't know how often you would read the forum I
    send you a mail
    > instead, hope you don't mind.
    >
    > It's a strange error you got there, it's apparently not
    the debian changes
    > that produce this.
    >
    > I'm pondering the lines:
    > name2route: <alsa...
    >
    > I have a definite feeling that I have seen this before
    together with a crash
    > problem.
    >
    > What kind of soundcard do you have and do you know how it
    is presented in
    > jack? What output does jack_lsp produce?
    >
    > Regards,
    > Robert
    >
    >
    >

     
  • Daniel Kobras
    Daniel Kobras
    2006-01-04

    Logged In: YES
    user_id=7832

    This report seems to be caused by (the one) Debian-specific patch we apply,
    and that we probably should just drop. The patch stems from 0.6 days and
    automatically drops the user into debug mode when muse is started without
    superuser capabilities. This used to work fine and was done in order to give
    users a chance to look at muse while defaulting to a secure non-suid install.
    Apparently, this is no longer a viable option these days. Anyway, in case you
    still want to debug the segfault, you can remove the suid bit from the muse
    executable and start with 'muse -d'.

    Frank, please run 'dpkg-reconfigure -plow muse', select to install muse with
    superuser privileges, and see whether it works for you. Unfortunately, pre2
    didn't work out for a number of people due to some timer issues. Later pre-
    releases are meant to cure them, but they're currently stuck in unstable due
    to a Qt toolchain issue on hppa. Anyway, pre5 will be available from unstable
    by tonight's mirror push. You can try whether the binary package installs on
    testing as well, though I think the Xrender dependency cannot be fulfilled at
    the moment. But in any case you should be able to grab the source package
    from unstable and rebuild it on your testing system.

     
  • Robert Jonsson
    Robert Jonsson
    2006-01-04

    Logged In: YES
    user_id=81832

    Thank you Daniel,

    Hopefully this issue can be closed then.

    As you imply, dropping to debug mode to get muse started
    should not be needed anymore. MusE should handle more
    variants and if not possible to start, atleast provide a
    informative error message.

    I will try tonight running with -d as you suggest. It's
    quite possible this setting is not working as we don't use
    it.

     
  • fhaver
    fhaver
    2006-01-08

    Logged In: YES
    user_id=1353104

    I upgraded the distribution to unstable now and it did not
    work as before. Yesterday the muse package was updated
    (maybe result of your work). I tried again and it did not
    work either. I did the 'dpkg-reconfigure -plow muse' and
    allowed it to run with superuser privileges as you
    recommended. Now it starts and complains in a box that jackd
    has not yet been started. I started jackd and afterwards
    muse which worked fine, except of the fact that I seem not
    to have the right settings yet for my 800MHz notebook: The
    sound is crackling if I am moving any windows arround (do
    you have a recommendation of jackd parameters for me?).

    I tried to compile the CVS version of Muse to be able to
    give better bugreports, but I failed because it wanted to
    have qt4 installed but my Debian unstable seems to use qt3.

    I am not sure if the bug I reported was really solved by
    removing the debug stuff, but certainly you found a
    circumvention for me. When playing with it I killed jackd
    and found Muse segfaulting because jackd faded away... Mhm,
    is this something you want to fix too? Or is it just me the
    as a user not doing things the way they should be done?

    Thanks for all the help.

     
  • fhaver
    fhaver
    2006-01-08

    Logged In: YES
    user_id=1353104

    I was curious if the superuser stuff only changed the
    behaviour. I did the dpkg-reconfigure again and picked the
    option not running as superuser, started Muse again and it
    failed:

    haver@bibo:~/Midi$ apt-get install muse
    E: Could not open lock file /var/lib/apt/lists/lock - open
    (13 Permission denied)
    E: Unable to lock the list directory
    haver@bibo:~/Midi$ muse
    No superuser privileges, using system timer fallback
    no locale <muse_en_GB>/</usr/share/muse/locale>
    Trying RTC timer...
    fatal error: open /dev/rtc failed: No such file or directory
    Trying ALSA timer...
    got timer = 12
    QObject::connect: No such signal
    PartCanvas::horizontalScroll(int)
    QObject::connect: (sender name: 'unnamed')
    QObject::connect: (receiver name: 'unnamed')
    Arranger::configChanged - no bitmap!
    starting with default template
    name2route: <alsa_pcm:playback_1> not found
    name2route: <alsa_pcm:playback_2> not found
    Arranger::configChanged - no bitmap!
    AlsaTimer::setTimerTicks(): requested freq 1024 Hz too high
    for timer (max is 250)
    freq stays at 250 Hz
    Segmentation fault (core dumped)
    haver@bibo:~/Midi$

    Switching back to the superuser mode I get the jackd missing
    message and when starting jackd before it starts ok:

    haver@bibo:~/Midi$ muse
    no locale <muse_en_GB>/</usr/share/muse/locale>
    Trying RTC timer...
    fatal error: open /dev/rtc failed: No such file or directory
    Trying ALSA timer...
    got timer = 14
    QObject::connect: No such signal
    PartCanvas::horizontalScroll(int)
    QObject::connect: (sender name: 'unnamed')
    QObject::connect: (receiver name: 'unnamed')
    Arranger::configChanged - no bitmap!
    starting with default template
    Arranger::configChanged - no bitmap!
    AlsaTimer::setTimerTicks(): requested freq 1024 Hz too high
    for timer (max is 250)
    freq stays at 250 Hz
    cca_open_socket: could not connect to host 'localhost',
    service '14541'
    cca_init: could not connect to server 'localhost' -
    disabling ladcca

    Here the version I am currently using:

    bibo:/home/haver# dpkg -l muse
    Desired=Unknown/Install/Remove/Purge/Hold
    |
    Status=Not/Installed/Config-files/Unpacked/Failed-config/Half-installed
    |/ Err?=(none)/Hold/Reinst-required/X=both-problems
    (Status,Err: uppercase=bad)
    ||/ Name Version Description
    +++-=================-=================-==================================================
    ii muse 0.7.1+0.7.2pre5-1 Qt-based midi/audio
    sequencer

     
  • Robert Jonsson
    Robert Jonsson
    2006-01-08

    Logged In: YES
    user_id=81832

    Hi,
    Responding to both messages:
    for jack to behave well you either need to have big
    buffers e.g. -p 1024 (possibly much bigger), or run jack
    with realtime priority, the -R switch, possibly both if
    you don't have a recent kernel.

    That it works when you run as superuser seems consistent.
    That it still does not work when running as a user is
    puzzeling. Though I note that the text:
    "No superuser privileges, using system timer fallback" is
    still written so I wonder if the patch really is removed.

    About building from CVS, there are several CVS versions,
    the HEAD branch will become 1.0 in a while, what you want
    is REL07.
    Though, if you want to build it yourself I recommend
    getting the pre5 source tree instead.

    About killing jack and getting muse killed in the process.
    Was this reproducible? This should normally not happen.

    Lastly, I welcome you to join our mailing list, I find it
    a bit easier to respond and the information will still end
    up in an public archive. (See the [Mail] link at the top)

    /Robert

     
  • Robert Jonsson
    Robert Jonsson
    2006-01-09

    • assigned_to: nobody --> spamatica
     
  • Robert Jonsson
    Robert Jonsson
    2006-03-19

    Logged In: YES
    user_id=81832

    Is this still an issue?

     
  • Robert Jonsson
    Robert Jonsson
    2006-03-26

    • status: open --> pending
     
  • Logged In: YES
    user_id=1312539

    This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 14 days (the time period specified by
    the administrator of this Tracker).

     
    • status: pending --> closed